Get Loopscale Vaults
curl --request POST \
--url https://tars.loopscale.com/v1/markets/lending_vaults/info \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"pageSize": 1,
"depositsEnabled": true,
"featured": true,
"includeRewards": true,
"includeStrategySummaries": true,
"lpMints": [
"<string>"
],
"mintEnabled": true,
"principalMints": [
"<string>"
],
"sortDirection": 1,
"sortType": 1,
"vaultAddresses": [
"<string>"
],
"vaultIdentifiers": [
"<string>"
]
}
'import requests
url = "https://tars.loopscale.com/v1/markets/lending_vaults/info"
payload = {
"page": 1,
"pageSize": 1,
"depositsEnabled": True,
"featured": True,
"includeRewards": True,
"includeStrategySummaries": True,
"lpMints": ["<string>"],
"mintEnabled": True,
"principalMints": ["<string>"],
"sortDirection": 1,
"sortType": 1,
"vaultAddresses": ["<string>"],
"vaultIdentifiers": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
pageSize: 1,
depositsEnabled: true,
featured: true,
includeRewards: true,
includeStrategySummaries: true,
lpMints: ['<string>'],
mintEnabled: true,
principalMints: ['<string>'],
sortDirection: 1,
sortType: 1,
vaultAddresses: ['<string>'],
vaultIdentifiers: ['<string>']
})
};
fetch('https://tars.loopscale.com/v1/markets/lending_vaults/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lendVaults": [
{
"vault": {
"address": "<string>",
"cumulativePrincipalDeposited": "<string>",
"depositsEnabled": true,
"featured": true,
"lpMint": "<string>",
"lpSupply": "<string>",
"manager": "<string>",
"maxEarlyUnstakeFee": "<string>",
"mintEnabled": true,
"nonce": "<string>",
"principalMint": "<string>",
"tags": "<string>",
"vaultIdentifier": "<string>"
},
"vaultRewardsSchedules": [
{
"createdAt": "<string>",
"durationStakeWeights": [
1
],
"emissionsClaimed": "<string>",
"emissionsPerSecond": "<string>",
"id": 1,
"lastRewardIndexUpdateTime": "<string>",
"rewardEndTime": "<string>",
"rewardIndex": "<string>",
"rewardMint": "<string>",
"rewardStartTime": "<string>",
"scheduleIndex": 1,
"totalEmissionsAmount": "<string>",
"totalWeightedStakeSupply": "<string>",
"vaultAddress": "<string>"
}
],
"vaultStrategy": {
"borrowCapMonitor": {
"principal1hr": "<string>",
"principal24hr": "<string>",
"startTime1hr": "<string>",
"startTime24hr": "<string>"
},
"strategy": {
"activeLoanCount": "<string>",
"address": "<string>",
"borrowCap1hrAmount": "<string>",
"borrowCap1hrPeriodStart": "<string>",
"borrowCap24hrAmount": "<string>",
"borrowCap24hrPeriodStart": "<string>",
"bump": 1,
"closed": true,
"createdAt": "<string>",
"cumulativeInterestAccrued": "<string>",
"cumulativeLoanCount": "<string>",
"cumulativePrincipalOriginated": "<string>",
"currentDeployedAmount": "<string>",
"externalYieldAmount": "<string>",
"externalYieldSource": 1,
"feeClaimable": "<string>",
"interestFee": "<string>",
"interestPerSecond": 123,
"lastAccruedTimestamp": "<string>",
"lastInteractedTime": "<string>",
"lastInteractedTxn": "<string>",
"lender": "<string>",
"liquidityBuffer": "<string>",
"marketInformation": "<string>",
"nonce": "<string>",
"originationCap": "<string>",
"originationFee": "<string>",
"originationsEnabled": true,
"outstandingInterestAmount": "<string>",
"principalFee": "<string>",
"principalMint": "<string>",
"supplyCap1hrAmount": "<string>",
"supplyCap1hrPeriodStart": "<string>",
"supplyCap24hrAmount": "<string>",
"supplyCap24hrPeriodStart": "<string>",
"tokenBalance": "<string>",
"version": 1,
"withdrawCap1hrAmount": "<string>",
"withdrawCap1hrPeriodStart": "<string>",
"withdrawCap24hrAmount": "<string>",
"withdrawCap24hrPeriodStart": "<string>",
"writeVersion": "<string>",
"id": 1
},
"supplyCapMonitor": {
"principal1hr": "<string>",
"principal24hr": "<string>",
"startTime1hr": "<string>",
"startTime24hr": "<string>"
},
"terms": {
"assetTerms": {},
"borrowCaps": {
"max1hr": "<string>",
"max24hr": "<string>",
"maxOutstanding": "<string>"
},
"supplyCaps": {
"max1hr": "<string>",
"max24hr": "<string>",
"maxOutstanding": "<string>"
},
"withdrawCaps": {
"max1hr": "<string>",
"max24hr": "<string>",
"maxOutstanding": "<string>"
}
},
"withdrawCapMonitor": {
"principal1hr": "<string>",
"principal24hr": "<string>",
"startTime1hr": "<string>",
"startTime24hr": "<string>"
},
"externalYieldInfo": {
"apy": "<string>",
"balance": "<string>",
"externalYieldSource": 1,
"lastUpdateTime": 123,
"yieldAccount": "<string>"
}
},
"strategySummary": {
"expected24hInterestUsd": 123,
"interestAccruedUsd": 123,
"interestEarnedAllTimeUsd": 123,
"principalDeployedUsd": 123,
"strategyBalanceUsd": 123,
"totalSupplyUsd": 123,
"wAvgApy": 123
},
"totalOutstandingLoanCollateralValueUsd": 123,
"vaultMetadata": {
"description": "<string>",
"managerImage": "<string>",
"managerName": "<string>",
"name": "<string>",
"bannerImage": "<string>",
"comingSoonBanner": "<string>",
"depositCap": 1,
"notifyFormUrl": "<string>",
"tags": [
"<string>"
],
"themeColor": "<string>",
"tokenImage": "<string>"
},
"vaultRewardsEmittedAmounts": {}
}
],
"total": 1,
"hasMore": true
}{
"error": {
"code": 400,
"message": "Request could not be processed."
}
}{
"error": {
"code": 400,
"message": "Request could not be processed."
}
}{
"error": {
"code": 400,
"message": "Request could not be processed."
}
}Vaults
Get Vaults
Returns a list of raw Vault metadata and data that match filters.
POST
/
markets
/
lending_vaults
/
info
Get Loopscale Vaults
Body
application/json
Required range:
x >= 0Required range:
x >= 0When true, enrich each returned vault with strategySummary (the same
per-strategy USD/APY numbers as POST /strategy/summaries), letting the
FE render APY/TVL without a second call.
Required range:
x >= 0Required range:
x >= 0⌘I